import 'package:default_text/size_config.dart';
import 'package:flutter/material.dart';

class DefText {
  final String text;
  final Color color;
  final double opacity;
  final FontStyle fontStyle;
  final FontWeight fontWeight;
  final int? maxLine;
  final TextAlign? textAlign;

  DefText(
    this.text, {
    this.maxLine,
    this.color = Colors.black,
    this.opacity = 1,
    this.fontStyle = FontStyle.normal,
    this.fontWeight = FontWeight.normal,
    this.textAlign,
  });

  TextStyle get _defaultValue {
    return TextStyle(
      color: color.withOpacity(opacity),
      fontStyle: fontStyle,
      fontWeight: fontWeight,
    );
  }

  Text get extraSmall {
    return Text(
      text,
      maxLines: maxLine,
      textAlign: textAlign,
      style: _defaultValue.copyWith(fontSize: getPropWidth(10.7)),
      overflow: maxLine != null ? TextOverflow.ellipsis : null,
    );
  }

  Text get small {
    return Text(
      text,
      maxLines: maxLine,
      textAlign: textAlign,
      style: _defaultValue.copyWith(fontSize: getPropWidth(11.7)),
      overflow: maxLine != null ? TextOverflow.ellipsis : null,
    );
  }

  Text get semiSmall {
    return Text(
      text,
      maxLines: maxLine,
      textAlign: textAlign,
      style: _defaultValue.copyWith(fontSize: getPropWidth(12.7)),
      overflow: maxLine != null ? TextOverflow.ellipsis : null,
    );
  }

  Text get normal {
    return Text(
      text,
      maxLines: maxLine,
      textAlign: textAlign,
      style: _defaultValue.copyWith(fontSize: getPropWidth(14.7)),
      overflow: maxLine != null ? TextOverflow.ellipsis : null,
    );
  }

  Text get semilarge {
    return Text(
      text,
      maxLines: maxLine,
      textAlign: textAlign,
      style: _defaultValue.copyWith(fontSize: getPropWidth(17.7)),
      overflow: maxLine != null ? TextOverflow.ellipsis : null,
    );
  }

  Text get large {
    return Text(
      text,
      maxLines: maxLine,
      textAlign: textAlign,
      style: _defaultValue.copyWith(fontSize: getPropWidth(19.7)),
      overflow: maxLine != null ? TextOverflow.ellipsis : null,
    );
  }

  Text get extraLarge {
    return Text(
      text,
      maxLines: maxLine,
      textAlign: textAlign,
      style: _defaultValue.copyWith(fontSize: getPropWidth(24.7)),
      overflow: maxLine != null ? TextOverflow.ellipsis : null,
    );
  }
}
